Subject: Re: bug#71274: 30.0.50; assertion failed: w->window_end_valid, in find_first_unchanged_at_end_row

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jun 2024 16:35:11 +0300

> From: Daniel Clemente <[email-masked]>
> Date: Thu, 6 Jun 2024 12:39:39 +0000
> Cc: [email-masked]
> 
> Thanks, well, I'm not seeing these errors anymore. I don't have a
> formula to reproduce the bug, but I trust the patch will help and this
> bug can be closed.

Done.

> I don't much knowledge about try_window_id. Could this change create
> new situations in which a window isn't fully redisplayed but it
> should?

No.  try_window_id is an optimization: it tries to avoid some work by
reusing portions of the previously-displayed glyph matrix.  When
try_window_id calls GIVE_UP, it means the optimization cannot be used,
but the result should still be correct, just perhaps slower.